<?php if ( ! defined('WOODMART_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 * Prepare CSS selectors for theme settions (colors, borders, typography etc.)
 * ------------------------------------------------------------------------------------------------
 */

return apply_filters( 'woodmart_get_selectors', array(

	'primary-color' => array(
		'color' => woodmart_text2line( 'a:hover, h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover, blockquote footer:before, blockquote cite, blockquote cite a, .color-scheme-dark a:hover, .color-primary, .woodmart-dark .color-primary, .woodmart-cart-design-3 .woodmart-cart-subtotal .amount, .menu-item-register .create-account-link, .menu-item-register .create-account-link:hover, .btn-style-bordered.btn-color-primary, .mega-menu-list > li > a:hover, .mega-menu-list .sub-sub-menu li a:hover, .site-mobile-menu li.current-menu-item > a, .site-mobile-menu .sub-menu li.current-menu-item > a, .dropdowns-color-light .site-mobile-menu li.current-menu-item > a, .dropdowns-color-light .site-mobile-menu .sub-menu li.current-menu-item > a, .comments-area .reply a, .comments-area .reply a:hover, .comments-area .logged-in-as > a:hover, .blog-post-loop .entry-title a:hover, .read-more-section a, .read-more-section a:hover, .single-post-navigation .blog-posts-nav-btn a:hover, .error404 .page-title, .not-found .entry-header:before, .subtitle-color-primary.subtitle-style-default, .woodmart-title-color-primary .subtitle-style-default, .instagram-widget .clear a:hover, .box-icon-wrapper.box-with-text, .woodmart-price-table.price-style-alt .woodmart-price-currency, .woodmart-price-table.price-style-alt .woodmart-price-value, .woodmart-menu-price.cursor-pointer:hover .menu-price-title, .woodmart-menu-price.cursor-pointer:focus .menu-price-title, .hotspot-icon-alt .hotspot-btn:after, .woodmart-sticky-btn .in-stock:before, .woodmart-compare-col .in-stock:before, .product-image-summary .in-stock:before, .variations_form .in-stock:before, .wishlist_table tr td.product-stock-status span.wishlist-in-stock:before, td.woocommerce-orders-table__cell-order-number a:hover, .woocommerce-order-pay td.product-total .amount, .woodmart-buttons > div a:hover, .woodmart-buttons .yith-wcwl-add-to-wishlist .yith-wcwl-wishlistexistsbrowse a, .woodmart-hover-base .product-compare-button a:hover, .woodmart-sticky-btn .woodmart-sticky-btn-wishlist.exists, .woodmart-sticky-btn .woodmart-sticky-btn-wishlist:hover, .woocommerce-Address-title .edit:hover, a.login-to-prices-msg, a.login-to-prices-msg:hover, .amount, .price, .price ins, .compare-btn-wrapper a:hover, .summary-inner > .yith-wcwl-add-to-wishlist a:hover, .sizeguide-btn-wrapp a:hover, .woodmart-dark .compare-btn-wrapper a:hover, .woodmart-dark .summary-inner > .yith-wcwl-add-to-wishlist a:hover, .woodmart-dark .sizeguide-btn-wrapp a:hover, .compare-btn-wrapper a.added:before, .summary-inner > .yith-wcwl-add-to-wishlist .yith-wcwl-wishlistaddedbrowse a:before, .summary-inner > .yith-wcwl-add-to-wishlist .yith-wcwl-wishlistexistsbrowse a:before, .woodmart-accordion-title:hover, .woodmart-accordion-title.active, .woodmart-dark .woodmart-accordion-title:hover, .woodmart-dark .woodmart-accordion-title.active, .woocommerce-form-coupon-toggle > .woocommerce-info .showcoupon, .woocommerce-form-coupon-toggle > .woocommerce-info .showlogin, .woocommerce-form-login-toggle > .woocommerce-info .showcoupon, .woocommerce-form-login-toggle > .woocommerce-info .showlogin, .cart-totals-inner .shipping-calculator-button, .woodmart-dark .cart-totals-inner .shipping-calculator-button, .login-form-footer .lost_password, .login-form-footer .lost_password:hover, .woodmart-my-account-links a:hover:before, .woodmart-my-account-links a:focus:before, .woodmart-products-tabs.tabs-design-simple .products-tabs-title li.active-tab-title, .brands-list .brand-item a:hover, .whb-color-dark .navigation-style-default .item-level-0:hover > a, .whb-color-dark .navigation-style-default .item-level-0.current-menu-item > a, .navigation-style-default .menu-mega-dropdown .color-scheme-dark .sub-menu > li > a:hover, .navigation-style-separated .menu-mega-dropdown .color-scheme-dark .sub-menu > li > a:hover, .navigation-style-bordered .menu-mega-dropdown .color-scheme-dark .sub-menu > li > a:hover, .vertical-navigation .menu-mega-dropdown .sub-menu > li > a:hover, .navigation-style-default .menu-mega-dropdown .color-scheme-dark .sub-sub-menu li a:hover, .navigation-style-separated .menu-mega-dropdown .color-scheme-dark .sub-sub-menu li a:hover, .navigation-style-bordered .menu-mega-dropdown .color-scheme-dark .sub-sub-menu li a:hover, .vertical-navigation .menu-mega-dropdown .sub-sub-menu li a:hover, .xtemos-category-list .tab-preview-count' ),

		'background-color' => woodmart_text2line( '.menu-opener:not(.has-bg), .search-style-with-bg.searchform .searchsubmit, .woodmart-wishlist-info-widget .wishlist-count, .woodmart-compare-info-widget .compare-count, .woodmart-cart-design-2 .woodmart-cart-number, .woodmart-cart-design-5 .woodmart-cart-number, .woodmart-cart-design-4 .woodmart-cart-number, .btn.btn-color-primary, .btn-style-bordered.btn-color-primary:hover, .menu-label-primary, .main-nav .item-level-0.callto-btn > a, .mobile-nav-tabs .mobile-tab-title:after, .icon-sub-menu.up-icon, .comment-form .submit, .color-scheme-light .woodmart-entry-meta .meta-reply .replies-count, .blog-design-mask .woodmart-entry-meta .meta-reply .replies-count, .woodmart-dark .woodmart-entry-meta .meta-reply .replies-count, .meta-post-categories, .woodmart-single-footer .tags-list a:hover:after, .woodmart-single-footer .tags-list a:focus:after, .woodmart-pagination > span:not(.page-links-title), .page-links > span:not(.page-links-title), .widget_tag_cloud .tagcloud a:hover, .widget_tag_cloud .tagcloud a:focus, .widget_product_tag_cloud .tagcloud a:hover, .widget_product_tag_cloud .tagcloud a:focus, .widget_calendar #wp-calendar #today, .slider-title:before, div.open-table-widget .otw-button-wrap .otw-submit, div.open-table-widget .otw-button-wrap .otw-submit-btn, .mc4wp-form input[type="submit"], .subtitle-color-primary.subtitle-style-background, .woodmart-title-color-primary .subtitle-style-background, .woodmart-title-style-simple.woodmart-title-color-primary .liner-continer:after, .icons-design-simple .woodmart-social-icon:hover, .timer-style-active .woodmart-timer > span, .woodmart-price-table .woodmart-plan-footer > a, .woodmart-price-table.price-style-default .woodmart-plan-price, .hotspot-icon-default .hotspot-btn, .hotspot-icon-alt .woodmart-image-hotspot.hotspot-opened .hotspot-btn, .hotspot-icon-alt .woodmart-image-hotspot:hover .hotspot-btn, .hotspot-content .add_to_cart_button, .widget_product_categories .product-categories li a:hover + .count, .widget_product_categories .product-categories li a:focus + .count, .widget_product_categories .product-categories li.current-cat > .count, .woodmart-woocommerce-layered-nav .layered-nav-link:hover + .count, .woodmart-woocommerce-layered-nav .layered-nav-link:focus + .count, .woodmart-woocommerce-layered-nav .chosen .count, td.woocommerce-orders-table__cell-order-actions a, .account-payment-methods-table .button, .product-label.onsale, .woodmart-hover-alt .btn-add-swap > a span:not(.woodmart-tooltip-label):before, .woodmart-hover-base:not(.product-in-carousel):not(.hover-width-small):not(.add-small-button) .woodmart-add-btn > a, .woodmart-hover-quick .woodmart-add-btn > a, .product-list-item .woodmart-add-btn > a, .woodmart-hover-standard .btn-add > a, .cat-design-replace-title .category-title, .popup-quick-view .woodmart-scroll-content > a, .popup-quick-view .view-details-btn, .woodmart-compare-col .button, .woodmart-compare-col .added_to_cart, .widget_shopping_cart .buttons .checkout, .widget_price_filter .ui-slider .ui-slider-range, .widget_price_filter .ui-slider .ui-slider-handle:after, .widget_layered_nav ul .chosen a:before, button[name="save_account_details"], button[name="save_address"], button[name="track"], .quantity input[type="button"]:hover, .woodmart-stock-progress-bar .progress-bar, .woocommerce-pagination .page-numbers .current, .woocommerce-store-notice, .single_add_to_cart_button, .tabs-layout-tabs .tabs li a:after, .checkout_coupon .button, #place_order, .return-to-shop .button, .cart-totals-inner .checkout-button, .cart-actions .button[name="apply_coupon"], .register .button, .login .button, .lost_reset_password .button, .woocommerce-MyAccount-content > p:not(.woocommerce-Message):first-child mark, .woocommerce-MyAccount-content > .button, .order-info mark, .order-again .button, .woocommerce-Button--next, .woocommerce-Button--previous, .woocommerce-MyAccount-downloads-file, .woodmart-pf-btn button, .woocommerce table.wishlist_table td.product-add-to-cart a, #yith-wpv-abuse, .dokan-dashboard a.dokan-btn, .dokan-dashboard button.dokan-btn, .dokan-dashboard input[type="submit"].dokan-btn, .dokan-dashboard a.dokan-btn:hover, .dokan-dashboard a.dokan-btn:focus, .dokan-dashboard button.dokan-btn:hover, .dokan-dashboard button.dokan-btn:focus, .dokan-dashboard input[type="submit"].dokan-btn:hover, .dokan-dashboard input[type="submit"].dokan-btn:focus, .dokan-dashboard-wrap .dokan-dash-sidebar ul.dokan-dashboard-menu li.active, .dokan-dashboard-wrap .dokan-dash-sidebar ul.dokan-dashboard-menu li.dokan-common-links a:hover, .dokan-dashboard-wrap .dokan-dash-sidebar ul.dokan-dashboard-menu li:hover, #dokan-seller-listing-wrap .dokan-btn, .woocommerce-MyAccount-content .dokan-btn, div.wcmp_regi_main .button, .yith-ywraq-add-to-quote .yith-ywraq-add-button .button.add-request-quote-button, .select2-container--default .select2-results__option[aria-selected=true], .navigation-style-underline .nav-link-text:after, .masonry-filter li a:after, .wpb-js-composer .vc_tta.vc_general.vc_tta-style-classic.vc_tta-tabs .vc_tta-tab .vc_tta-title-text:after, .category-nav-link .category-name:after, .woodmart-checkout-steps ul li span:after, .woodmart-products-tabs.tabs-design-default .products-tabs-title .tab-label:after, .woodmart-products-tabs.tabs-design-alt .products-tabs-title .tab-label:after, .xtemos-category-list .tab-preview-name:after' ),

		'border-color' => woodmart_text2line( 'blockquote, .border-color-primary, .btn-style-bordered.btn-color-primary, .btn-style-link.btn-color-primary, .btn-style-link.btn-color-primary:hover, .menu-label-primary:before, .woodmart-single-footer .tags-list a:hover, .woodmart-single-footer .tags-list a:focus, .widget_tag_cloud .tagcloud a:hover, .widget_tag_cloud .tagcloud a:focus, .widget_product_tag_cloud .tagcloud a:hover, .widget_product_tag_cloud .tagcloud a:focus, .woodmart-title-style-underlined.woodmart-title-color-primary .title, .woodmart-title-style-underlined-2.woodmart-title-color-primary .title, .woodmart-price-table.price-highlighted .woodmart-plan-inner, .widget_product_categories .product-categories li a:hover + .count, .widget_product_categories .product-categories li a:focus + .count, .widget_product_categories .product-categories li.current-cat > .count, .woodmart-woocommerce-layered-nav .layered-nav-link:hover + .count, .woodmart-woocommerce-layered-nav .layered-nav-link:focus + .count, .woodmart-woocommerce-layered-nav .chosen .count, .widget_layered_nav ul li a:hover:before, .widget_layered_nav ul .chosen a:before, .quantity input[type="button"]:hover, .woodmart-highlighted-products .elements-grid, .woodmart-highlighted-products.woodmart-carousel-container, .woocommerce-ordering select:focus, .woodmart-products-tabs.tabs-design-simple .tabs-name, .dokan-dashboard a.dokan-btn, .dokan-dashboard button.dokan-btn, .dokan-dashboard input[type="submit"].dokan-btn, .dokan-dashboard a.dokan-btn:hover, .dokan-dashboard a.dokan-btn:focus, .dokan-dashboard button.dokan-btn:hover, .dokan-dashboard button.dokan-btn:focus, .dokan-dashboard input[type="submit"].dokan-btn:hover, .dokan-dashboard input[type="submit"].dokan-btn:focus, .dokan-dashboard-wrap .dokan-dash-sidebar ul.dokan-dashboard-menu li.active, .dokan-dashboard-wrap .dokan-dash-sidebar ul.dokan-dashboard-menu li.dokan-common-links a:hover, .dokan-dashboard-wrap .dokan-dash-sidebar ul.dokan-dashboard-menu li:hover' ),

		'stroke' => woodmart_text2line( '.with-animation .info-svg-wrapper path' ),
	),

	'secondary-color' => array(
		'color' => woodmart_text2line( '.color-alt, .woodmart-dark .color-alt, .btn-style-bordered.btn-color-alt, .subtitle-color-alt.subtitle-style-default, .woodmart-title-color-alt .subtitle-style-default' ),

		'background-color' => woodmart_text2line( '.btn.btn-color-alt, .btn-style-bordered.btn-color-alt:hover, .menu-label-secondary, .subtitle-color-alt.subtitle-style-background, .woodmart-title-color-alt .subtitle-style-background, .woodmart-title-style-simple.woodmart-title-color-alt .liner-continer:after' ),

		'border-color' => woodmart_text2line( '.border-color-alternative, .btn-style-bordered.btn-color-alt, .btn-style-link.btn-color-alt, .btn-style-link.btn-color-alt:hover, .menu-label-secondary:before, .woodmart-title-style-underlined.woodmart-title-color-alt .title, .woodmart-title-style-underlined-2.woodmart-title-color-alt .title' ),
	),
		
	'text-font' => array( 'body, .font-text, .menu-item-register .create-account-link, .menu-label, .wpb-js-composer .vc_tta.vc_general.vc_tta-style-classic.vc_tta-accordion .vc_tta-panel-title, .widgetarea-mobile .widget_currency_sel_widget .widget-title, .widgetarea-mobile .widget_icl_lang_sel_widget .widget-title, .woodmart-hover-base .hover-content table th, .product-image-summary .shop_attributes th, .woocommerce-product-details__short-description table th' ),

	'primary-font' => array( '.font-primary, table th, .page-title .entry-title, .masonry-filter li, .widget_rss ul li > a, .wpb-js-composer .vc_tta.vc_general.vc_tta-style-classic.vc_tta-tabs .vc_tta-tab > a, .woodmart-price-table .woodmart-plan-title, .woodmart-sizeguide-table tr:first-child td, .compare-field, .compare-value:before, .compare-basic .compare-value:before, .woodmart-empty-compare, .woocommerce-column__title, header.title > h3, .tabs-layout-tabs .tabs li, .woodmart-accordion-title, .woodmart-checkout-steps ul, .woocommerce-billing-fields > h3, .woocommerce-shipping-fields > h3, .woocommerce-additional-fields > h3, #ship-to-different-address label, #order_review_heading, .cart-empty, .cart-totals-inner h2, .social-login-title, .register-or, .woocommerce-MyAccount-title, .woodmart-products-tabs .tabs-name, .woodmart-products-tabs .products-tabs-title, .wishlist-title h2, body > h1, table.compare-list tr.no-products td, #order_payment_heading, h1, h2, h3, h4, h5, h6, .title, legend, .woocommerce-Reviews .comment-reply-title, .menu-mega-dropdown .sub-menu > li > a, .mega-menu-list > li > a' ),

	'secondary-font' => array( '.font-alt' ),

	'titles-font' => array( '.blog-post-loop .entry-title, .post-single-page .entry-title, .single-post-navigation .post-title, .portfolio-entry .entry-title, td.product-name a, .category-grid-item .category-title, .product-image-summary .entry-title, .autocomplete-suggestion .suggestion-title, .widget_recent_entries ul li a, .widget_recent_comments ul li > a, .woodmart-recent-posts .entry-title a, .woodmart-menu-price .menu-price-title, .group_table td.label a, .product-grid-item .product-title, .yith-woocompare-widget .products-list li a.title, .product-title, table.compare-list tr.title td' ),

	'widget-titles-font' => array( '.widgettitle, .widgettitle a, .widget-title, .widget-title a' ),

	'navigation-font' => array( '.main-nav-style, .menu-opener, .categories-menu-dropdown .item-level-0 > a, .woodmart-burger-icon .woodmart-burger-label, .woodmart-wishlist-info-widget .wishlist-label, .woodmart-wishlist-info-widget .wishlist-count, .woodmart-shopping-cart .woodmart-cart-totals, .woodmart-header-links .item-level-0 > a, .main-nav .item-level-0 > a, .whb-secondary-menu .item-level-0 > a, .full-screen-nav .item-level-0 > a' ),

	'btns-default' => array( '.widget_shopping_cart .buttons .btn-cart, .widget_price_filter .price_slider_amount .button, .yith-woocompare-widget > a.compare, .cart-totals-inner .shipping-calculator-form .button, .cart-actions .button[name="update_cart"], .woodmart-switch-to-register, #dokan-form-contact-seller.seller-form input.dokan-btn-theme, .wcmp-quick-info-wrapper input[type="submit"], .simplePopup .submit-report-abuse, .vendor_sort input[type="submit"]' ),

	'btns-accent' => array( '.main-nav .item-level-0.callto-btn > a, .comment-form .submit, .post-password-form input[type="submit"], .cookies-buttons .cookies-accept-btn, div.open-table-widget .otw-button-wrap .otw-submit, div.open-table-widget .otw-button-wrap .otw-submit-btn, .mc4wp-form input[type="submit"], .woodmart-price-table .woodmart-plan-footer > a, #yith-wpv-abuse, div.wcmp_regi_main .button' ),

	'btns-shop' => array( '.hotspot-content .add_to_cart_button, td.woocommerce-orders-table__cell-order-actions a, .account-payment-methods-table .button, .woodmart-hover-base:not(.product-in-carousel):not(.hover-width-small):not(.add-small-button) .woodmart-add-btn > a, .product-list-item .woodmart-add-btn > a, .woodmart-hover-standard .btn-add > a, .popup-quick-view .woodmart-scroll-content > a, .woodmart-sticky-btn .woodmart-sticky-add-to-cart, .popup-added_to_cart .view-cart, .woodmart-compare-table .button, .woodmart-compare-table .added_to_cart, .widget_shopping_cart .buttons .checkout, button[name="save_account_details"], button[name="save_address"], button[name="track"], .single_add_to_cart_button, .checkout_coupon .button, #place_order, .return-to-shop .button, .cart-totals-inner .checkout-button, .cart-actions .button[name="apply_coupon"], .register .button, .login .button, .lost_reset_password .button, .social-login-btn > a, .woocommerce-MyAccount-content > .button, .order-again .button, .woocommerce-Button--next, .woocommerce-Button--previous, .woocommerce-MyAccount-downloads-file, .woodmart-pf-btn button, .woocommerce table.wishlist_table td.product-add-to-cart .add_to_cart, table.compare-list tr.add-to-cart td a, .yith-woocompare-premium .compare-list .product_info .button, .yith-woocompare-premium .compare-list .add-to-cart .button, .yith-woocompare-premium .compare-list .added_to_cart, #yith-woocompare-related .related-products .woocommerce > a, #dokan-seller-listing-wrap .dokan-btn, .woocommerce-MyAccount-content .dokan-btn, .yith-ywraq-add-to-quote .yith-ywraq-add-button .button.add-request-quote-button' ),

	'link-color' => array( 'a' ),

) );